Loading...
Searching...
No Matches
PartitionLoops.h File Reference

Defines a lowering pass that partitions loop bodies into three to handle boundary conditions: A prologue, a simplified steady-stage, and an epilogue. More...

`#include "Expr.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

bool | Halide::Internal::has_uncaptured_likely_tag (const Expr &e, const Scope<> &scope)
| Return true if an expression uses a likely tag that isn't captured by an enclosing Select, Min, or Max.
bool | Halide::Internal::has_likely_tag (const Expr &e, const Scope<> &scope)
| Return true if an expression uses a likely tag.
Stmt | Halide::Internal::partition_loops (Stmt s)
| Partitions loop bodies into a prologue, a steady state, and an epilogue.

## Detailed Description

Defines a lowering pass that partitions loop bodies into three to handle boundary conditions: A prologue, a simplified steady-stage, and an epilogue.

Definition in file PartitionLoops.h.